summaryrefslogtreecommitdiff
path: root/dev-java
diff options
context:
space:
mode:
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/jclasslib/jclasslib-3.1.ebuild34
-rw-r--r--dev-java/json/Manifest1
-rw-r--r--dev-java/json/json-20150729.ebuild33
-rw-r--r--dev-java/json/json-20220320.ebuild2
-rw-r--r--dev-java/jython/jython-2.7.0-r5.ebuild152
-rw-r--r--dev-java/lucene/lucene-2.4.1-r2.ebuild79
-rw-r--r--dev-java/saxon/saxon-6.5.5-r2.ebuild49
-rw-r--r--dev-java/saxon/saxon-9.2.0.6-r2.ebuild91
-rw-r--r--dev-java/woodstox-core/Manifest1
-rw-r--r--dev-java/woodstox-core/woodstox-core-6.2.7.ebuild106
10 files changed, 153 insertions, 395 deletions
diff --git a/dev-java/jclasslib/jclasslib-3.1.ebuild b/dev-java/jclasslib/jclasslib-3.1.ebuild
deleted file mode 100644
index e4554abb2b4a..000000000000
--- a/dev-java/jclasslib/jclasslib-3.1.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-JAVA_PKG_IUSE="doc source"
-
-inherit java-pkg-2 java-ant-2
-
-DESCRIPTION="Java bytecode viewer"
-HOMEPAGE="https://github.com/ingokegel/jclasslib"
-SRC_URI="https://github.com/ingokegel/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 x86"
-
-DEPEND=">=virtual/jdk-1.6"
-RDEPEND=">=virtual/jre-1.6"
-
-src_install() {
- java-pkg_dojar "build/${PN}.jar"
-
- java-pkg_dolauncher "${PN}" \
- --main org.gjt.jclasslib.browser.BrowserApplication
-
- use doc && java-pkg_dohtml -r doc/*
- use source && java-pkg_dosrc src/*
-}
-
-pkg_postinst() {
- elog "jclasslib uses Firefox by default."
- elog "Set the BROWSER environment at your discretion."
-}
diff --git a/dev-java/json/Manifest b/dev-java/json/Manifest
index 3cf2b7de9e33..c41dbd88dc04 100644
--- a/dev-java/json/Manifest
+++ b/dev-java/json/Manifest
@@ -1,2 +1 @@
-DIST json-20150729.zip 52114 BLAKE2B 8730eaa92002debf3563f1b07901118b2b5fb8754d5d35491ef7e4a7c8f208687a00ea2ab587e183d0d88af59f5527deb2a64e244b2668196f9f31a80099148f SHA512 ad21ce236b9df04482e039e57a16edec4018214aa6e00379573dc7c6977062c759aa21084b70540d35656ebcdb5eaa6525defb88e281ee0e4e7277e32f22755c
DIST json-20220320.tar.gz 229462 BLAKE2B 9d549e4e905e2a63985b0b2d9a6cfbf7483776799d6b907455356940b48242fda9344874f1625da06215991eae1cfa1e87f3f8f0a204807795ed50f3f9afdbc2 SHA512 1bcd99c69201ea6609a41ec1679467504cd129a8c5a9caede0829cd8eb70b0e59e504a4bc409f57e6b27091e11acbf6108830c6f1fe16919d0cb1daff643bdf0
diff --git a/dev-java/json/json-20150729.ebuild b/dev-java/json/json-20150729.ebuild
deleted file mode 100644
index a40b3e9d7189..000000000000
--- a/dev-java/json/json-20150729.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2019 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="5"
-JAVA_PKG_IUSE="doc source"
-
-inherit java-pkg-2 java-pkg-simple
-
-DESCRIPTION="Java implementation of the JavaScript Object Notation"
-HOMEPAGE="https://github.com/douglascrockford/JSON-java"
-SRC_URI="https://github.com/douglascrockford/JSON-java/archive/${PV}.zip -> ${P}.zip"
-
-LICENSE="JSON"
-SLOT="0"
-KEYWORDS="amd64 x86"
-IUSE=""
-
-DEPEND=">=virtual/jdk-1.7"
-RDEPEND=">=virtual/jre-1.7"
-
-S="${WORKDIR}/JSON-java-${PV}"
-JAVA_SRC_DIR="src"
-
-java_prepare() {
- chmod a-x *.java || die
- mkdir -p src || die
- mv *.java src || die
-}
-
-src_install() {
- java-pkg-simple_src_install
- dodoc README
-}
diff --git a/dev-java/json/json-20220320.ebuild b/dev-java/json/json-20220320.ebuild
index 0151873d71ab..86e62eab5ee3 100644
--- a/dev-java/json/json-20220320.ebuild
+++ b/dev-java/json/json-20220320.ebuild
@@ -19,7 +19,7 @@ SRC_URI="https://codeload.github.com/stleary/JSON-java/tar.gz/${PV} -> ${P}.tar.
LICENSE="JSON"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 x86"
# Compile dependencies
# POM: pom.xml
diff --git a/dev-java/jython/jython-2.7.0-r5.ebuild b/dev-java/jython/jython-2.7.0-r5.ebuild
new file mode 100644
index 000000000000..b0257f478623
--- /dev/null
+++ b/dev-java/jython/jython-2.7.0-r5.ebuild
@@ -0,0 +1,152 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+JAVA_PKG_IUSE="doc source"
+MAVEN_ID="org.python:jython:2.7.0"
+
+inherit java-pkg-2 java-ant-2 python-utils-r1 flag-o-matic
+
+MY_PV=${PV/_beta/-b}
+MY_P=${PN}-${MY_PV}
+
+DESCRIPTION="An implementation of Python written in Java"
+HOMEPAGE="https://www.jython.org"
+SRC_URI="https://search.maven.org/remotecontent?filepath=org/python/${PN}/${MY_PV}/${MY_P}-sources.jar"
+
+LICENSE="PSF-2"
+SLOT="2.7"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples test"
+
+CP_DEPEND="dev-java/antlr:3
+ dev-java/netty:0
+ dev-java/asm:9
+ dev-java/commons-compress:0
+ dev-java/guava:20
+ dev-java/jffi:1.2
+ dev-java/jline:2
+ dev-java/icu4j:70
+ dev-java/jnr-constants:0
+ dev-java/jnr-posix:3.0
+ dev-java/jnr-netdb:1.0
+ dev-java/stringtemplate:0
+ dev-java/xerces:2
+ java-virtuals/servlet-api:3.0"
+RDEPEND="${CP_DEPEND}
+ >=virtual/jre-1.8:*"
+DEPEND="${CP_DEPEND}
+ >=virtual/jdk-1.8:*
+ dev-java/ant-core:0
+ test? (
+ dev-java/junit:4
+ dev-java/ant-junit:0
+ )"
+BDEPEND="app-arch/unzip"
+
+S=${WORKDIR}
+
+RESTRICT="test"
+
+JAVA_ANT_REWRITE_CLASSPATH="yes"
+JAVA_ANT_CLASSPATH_TAGS+=" java"
+
+EANT_BUILD_TARGET="developer-build"
+EANT_TEST_EXTRA_ARGS="-Dpython.home=dist"
+
+# jdbc-informix and jdbc-oracle-bin (requires registration) aren't exposed.
+# Uncomment and add to CDEPEND if you want either of them
+#EANT_GENTOO_CLASSPATH+=",jdbc-informix" EANT_EXTRA_ARGS+=" -Dinformix.present"
+#EANT_GENTOO_CLASSPATH+=",jdbc-oracle-bin" EANT_EXTRA_ARGS+=" -Doracle.present"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.5.2-distutils_scripts_location.patch
+ "${FILESDIR}"/${PN}-2.5.2-respect_PYTHONPATH.patch
+ "${FILESDIR}"/${PN}-2.7_beta1-ant.patch
+ "${FILESDIR}"/${PN}-2.7_beta1-dont-always-recompile-classes.patch
+ "${FILESDIR}"/${PN}-2.7_beta2-maxrepeat-import.patch
+ "${FILESDIR}"/${PN}-2.7.0-build.xml.patch
+ "${FILESDIR}"/CVE-2016-4000.patch
+)
+
+src_prepare() {
+ default
+
+ find \( -name '*.jar' -o -name '*.class' \
+ -o -name '*.pyc' -o -name '*.exe' \) -delete
+
+ # needed for launchertest
+ chmod +x tests/shell/test-jython.sh || die
+
+ java-pkg-2_src_prepare
+}
+
+src_configure() {
+ # apparently this can cause problems
+ append-flags -fno-stack-protector
+
+ EANT_GENTOO_CLASSPATH_EXTRA="$(java-pkg_getjars --with-dependencies antlr-3,jnr-posix-3.0)"
+ EANT_GENTOO_CLASSPATH_EXTRA+=":$(java-pkg_getjars --build-only ant-core)"
+}
+
+src_test() {
+ java-pkg-2_src_test
+}
+
+src_install() {
+ local instdir=/usr/share/${PN}-${SLOT}
+
+ java-pkg_newjar dist/${PN}-dev.jar
+
+ java-pkg_register-optional-dependency jdbc-mysql
+ java-pkg_register-optional-dependency jdbc-postgresql
+
+ insinto ${instdir}
+ doins -r dist/{Lib,registry}
+
+ dodoc ACKNOWLEDGMENTS NEWS README.txt
+
+ use doc && java-pkg_dohtml -r dist/Doc/javadoc
+ use source && java-pkg_dosrc src/*
+ use examples && java-pkg_doexamples Demo/*
+
+ local java_args=(
+ -Dpython.home="${EPREFIX}"/usr/share/${PN}-${SLOT}
+ -Dpython.executable="${EPREFIX}"/usr/bin/jython${SLOT}
+ -Dpython.cachedir="\${HOME}/.jythoncachedir"
+ )
+
+ java-pkg_dolauncher jython${SLOT} \
+ --main org.python.util.jython \
+ --java_args "${java_args[*]}"
+
+ # we need a wrapper to help python_optimize
+ cat <<-EOF > "${T}"/jython
+ exec java -cp "$(java-pkg_getjars "${EANT_GENTOO_CLASSPATH}"):${EANT_GENTOO_CLASSPATH_EXTRA}:dist/${PN}-dev.jar" \
+ -Dpython.home="${ED}${instdir}" \
+ -Dpython.cachedir="${T}/.jythoncachedir" \
+ -Duser.home="${T}" \
+ org.python.util.jython "\${@}"
+ EOF
+ chmod +x "${T}"/jython || die
+
+ local -x PYTHON="${T}"/jython
+ # we can't get the path from the interpreter since it does some
+ # magic that fails on non-installed copy...
+ _python_export jython${SLOT} EPYTHON
+
+ # compile tests (everything else is compiled already)
+ # we're keeping it quiet since jython reports errors verbosely
+ # and some of the tests are supposed to trigger compile errors
+ python_optimize "${ED}${instdir}"/Lib/test &>/dev/null
+
+ # for python-exec
+ echo "EPYTHON='${EPYTHON}'" > epython.py || die
+ python_moduleinto "/usr/share/jython-${SLOT}/Lib/site-packages"
+ python_domodule epython.py
+
+ # some of the class files end up with newer timestamps than the files they
+ # were generated from, make sure this doesn't happen
+ find "${ED}${instdir}"/Lib/ -name '*.class' | xargs touch
+}
diff --git a/dev-java/lucene/lucene-2.4.1-r2.ebuild b/dev-java/lucene/lucene-2.4.1-r2.ebuild
deleted file mode 100644
index b3f32a4fea35..000000000000
--- a/dev-java/lucene/lucene-2.4.1-r2.ebuild
+++ /dev/null
@@ -1,79 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-JAVA_PKG_IUSE="doc source test"
-JAVA_PKG_BSFIX_ALL="no"
-JAVA_PKG_BSFIX_NAME="build.xml common-build.xml"
-
-inherit java-pkg-2 java-ant-2
-
-DESCRIPTION="High-performance, full-featured text search engine written entirely in Java"
-HOMEPAGE="https://lucene.apache.org"
-SRC_URI="https://archive.apache.org/dist/${PN}/java/${P}-src.tar.gz -> ${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="2.4"
-KEYWORDS="amd64 x86"
-
-CDEPEND="
- dev-java/javacc:0"
-
-DEPEND="
- ${CDEPEND}
- >=virtual/jdk-1.6
- test? (
- dev-java/junit:0
- dev-java/ant-core:0
- )"
-
-RDEPEND="
- ${CDEPEND}
- >=virtual/jre-1.6"
-
-src_prepare() {
- default
- java-pkg_clean
- sed -i -e '/-Xmax/ d' common-build.xml || die
-
- # Portage marks shese files as bogus for some reason.
- find . -type f -name instruction_arrow.png -exec rm -v {} \; || die
-}
-
-src_compile() {
- # regenerate javacc files just because we can
- # put javacc.jar on ant's classpath here even when <javacc> task
- # doesn't use it - it's to fool the <available> test, first time
- # it's useful not to have ignoresystemclasses=true...
- ANT_TASKS="ant-core javacc" \
- eant \
- -Djavacc.home="${EPREFIX}"/usr/share/javacc/lib \
- javacc
- ANT_TASKS="none" \
- eant \
- -Dversion=${PV} \
- jar-core \
- jar-demo \
- $(use_doc javadocs-core javadocs-demo)
-}
-
-src_test() {
- java-ant_rewrite-classpath common-build.xml
- EANT_GENTOO_CLASSPATH="junit ant-core" \
- ANT_TASKS="ant-junit" \
- eant \
- test-core
-}
-
-src_install() {
- einstalldocs
- java-pkg_newjar "build/${PN}-core-${PV}.jar" "${PN}-core.jar"
- java-pkg_newjar "build/${PN}-demos-${PV}.jar" "${PN}-demos.jar"
-
- if use doc; then
- dodoc -r docs
- java-pkg_dohtml -r build/docs/api
- fi
- use source && java-pkg_dosrc src/java/org
-}
diff --git a/dev-java/saxon/saxon-6.5.5-r2.ebuild b/dev-java/saxon/saxon-6.5.5-r2.ebuild
deleted file mode 100644
index e33a43038e65..000000000000
--- a/dev-java/saxon/saxon-6.5.5-r2.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-JAVA_PKG_IUSE="doc examples source"
-
-inherit java-pkg-2 java-pkg-simple versionator
-
-MY_P="${PN}$(replace_all_version_separators -)"
-
-DESCRIPTION="Set of tools for processing XML documents"
-SRC_URI="mirror://sourceforge/${PN}/${MY_P}.zip"
-HOMEPAGE="http://saxon.sourceforge.net/"
-
-LICENSE="MPL-1.1"
-SLOT="6.5"
-KEYWORDS="amd64 x86"
-
-CDEPEND="dev-java/jdom:0"
-
-RDEPEND="
- ${CDEPEND}
- >=virtual/jre-1.6"
-
-DEPEND="
- ${CDEPEND}
- app-arch/unzip
- >=virtual/jdk-1.6"
-
-JAVA_GENTOO_CLASSPATH="jdom"
-JAVA_ENCODING="ISO-8859-1"
-JAVA_SRC_DIR="src"
-
-src_unpack() {
- unpack ${A}
- unzip -qq source.zip -d src || die "failed to unpack"
-}
-
-src_prepare() {
- default
- java-pkg_clean
-}
-
-src_install() {
- default
- java-pkg-simple_src_install
- use examples && java-pkg_doexamples samples
-}
diff --git a/dev-java/saxon/saxon-9.2.0.6-r2.ebuild b/dev-java/saxon/saxon-9.2.0.6-r2.ebuild
deleted file mode 100644
index 4332edc035b1..000000000000
--- a/dev-java/saxon/saxon-9.2.0.6-r2.ebuild
+++ /dev/null
@@ -1,91 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-JAVA_PKG_IUSE="doc source"
-
-inherit versionator java-pkg-2 java-ant-2
-
-MY_PV="$(replace_all_version_separators -)"
-
-DESCRIPTION="A XSLT and XQuery Processor"
-HOMEPAGE="http://saxon.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${PN}he${MY_PV}source.zip"
-
-LICENSE="MPL-1.0"
-SLOT="9"
-KEYWORDS="amd64 ~arm arm64 ppc64 x86"
-
-CDEPEND="
- dev-java/xom:0
- dev-java/jdom:0
- dev-java/dom4j:1
- dev-java/ant-core"
-
-RDEPEND="
- ${CDEPEND}
- >=virtual/jre-1.6"
-
-DEPEND="
- ${CDEPEND}
- app-arch/unzip
- >=virtual/jdk-1.6"
-
-S="${WORKDIR}"
-
-# prepare eclass variables
-JAVA_ANT_REWRITE_CLASSPATH="yes"
-JAVA_ANT_CLASSPATH_TAGS="javac javadoc"
-
-src_prepare() {
- default
-
- # Fedora-inspired removal.
-
- # deadNET.
- rm -rv net/sf/saxon/dotnet || die
-
- # Depends on XQJ (javax.xml.xquery).
- rm -rv net/sf/saxon/xqj || die
-
- # This requires a EE edition feature (com.saxonica.xsltextn).
- rm -v net/sf/saxon/option/sql/SQLElementFactory.java || die
-
- # <major>.<minor> version
- local version="$(get_version_component_range 1-2)"
-
- # generate build.xml with external javadoc links
- sed -e "s:@JDK@:1.6:" \
- -e "s:@JDOM@:1:" \
- < "${FILESDIR}/${version}-build.xml" \
- > "${S}/build.xml" \
- || die "build.xml generation failed!"
-
- # prepare creates the dir for properties
- eant prepare
-
- # properties
- cp -v \
- "${FILESDIR}/${version}-edition.properties" \
- "${S}/build/classes/edition.properties" || die
-}
-
-src_compile() {
- local gcp="$(java-pkg_getjars dom4j-1,jdom,xom)"
- gcp="${gcp}:$(java-pkg_getjars --build-only ant-core)"
- eant -Dgentoo.classpath="${gcp}" jar $(use_doc)
-}
-
-src_install() {
- java-pkg_dojar build/lib/${PN}.jar
-
- java-pkg_dolauncher ${PN}${SLOT}-transform --main net.sf.saxon.Transform
- java-pkg_dolauncher ${PN}${SLOT}-query --main net.sf.saxon.Query
-
- java-pkg_register-ant-task
-
- use doc && java-pkg_dojavadoc build/api
-
- use source && java-pkg_dosrc src
-}
diff --git a/dev-java/woodstox-core/Manifest b/dev-java/woodstox-core/Manifest
index 372653e8ebba..28967d079b9e 100644
--- a/dev-java/woodstox-core/Manifest
+++ b/dev-java/woodstox-core/Manifest
@@ -1,2 +1 @@
-DIST woodstox-core-6.2.7.tar.gz 5250524 BLAKE2B 3f5be53a459e8999cb53b3e89398bd94439815dd58cc30df7e1b71b9e98ef94b7704d04ae20401d39afff67210e423a4c5a148909a3a7ed750f7e0e24146c24a SHA512 0e2e11607c26d97509708523c4617d9e75fc529fbf5294b25deba5ca570797692e31e65621c77e7c4d9bdf0b3dee4b3c4fe0486a1e23d19dc41035d7d710668e
DIST woodstox-core-6.2.8.tar.gz 5250255 BLAKE2B 69e45da9c7e09652ffc45b366359ae12954ad0450157d8639833d41600958d10ff1203502c926f0f23cd3e3d03dbc83378a9614e5eb19367fb60fad1232f4dd8 SHA512 c5af386891ab63fb2efc8510353e35c20fa157048631c809ed3d7e070b377ef5c21ffb1b7a0f9e597113db714ebc778951ac8a8e049c3d8291a89c3a0e7a044e
diff --git a/dev-java/woodstox-core/woodstox-core-6.2.7.ebuild b/dev-java/woodstox-core/woodstox-core-6.2.7.ebuild
deleted file mode 100644
index be656d0b16aa..000000000000
--- a/dev-java/woodstox-core/woodstox-core-6.2.7.ebuild
+++ /dev/null
@@ -1,106 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-# Skeleton command:
-# java-ebuilder --generate-ebuild --workdir . --pom pom.xml --download-uri https://github.com/FasterXML/woodstox/archive/refs/tags/woodstox-core-6.2.7.tar.gz --slot 0 --keywords "~amd64 ~arm ~arm64 ~ppc64 ~x86" --ebuild woodstox-core-6.2.7.ebuild
-
-EAPI=8
-
-JAVA_PKG_IUSE="doc source test"
-MAVEN_ID="com.fasterxml.woodstox:woodstox-core:6.2.7"
-JAVA_TESTING_FRAMEWORKS="junit-4"
-
-inherit java-pkg-2 java-pkg-simple
-
-DESCRIPTION="An XML processor that implements Stax (JSR-173), SAX2 and Stax2 APIs"
-HOMEPAGE="https://github.com/FasterXML/woodstox"
-SRC_URI="https://github.com/FasterXML/woodstox/archive/refs/tags/${P}.tar.gz"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ppc64 x86"
-
-# Common dependencies
-# POM: pom.xml
-# net.java.dev.msv:msv-core:2013.6.1 -> !!!artifactId-not-found!!!
-# net.java.dev.msv:xsdlib:2013.6.1 -> >=dev-java/xsdlib-20090415:0
-# org.codehaus.woodstox:stax2-api:4.2.1 -> >=dev-java/stax2-api-4.2.1:0
-# relaxngDatatype:relaxngDatatype:20020414 -> !!!groupId-not-found!!!
-
-CP_DEPEND="
- dev-java/msv:0
- dev-java/relaxng-datatype:0
- dev-java/stax2-api:0
- dev-java/xsdlib:0
-"
-
-# Compile dependencies
-# POM: pom.xml
-# org.apache.felix:org.osgi.core:1.4.0 -> !!!groupId-not-found!!!
-# POM: pom.xml
-# test? junit:junit:4.13.1 -> >=dev-java/junit-4.13.2:4
-
-DEPEND="${CP_DEPEND}
- >=virtual/jdk-1.8:*
- dev-java/osgi-core-api:0"
-
-RDEPEND="${CP_DEPEND}
- >=virtual/jre-1.8:*"
-
-DOCS=( LICENSE {README,SECURITY}.md release-notes/{CREDITS,VERSION} )
-
-S="${WORKDIR}/woodstox-${P}"
-
-JAVA_CLASSPATH_EXTRA="osgi-core-api"
-JAVA_SRC_DIR=( "src/main/java" "src/moditect" )
-JAVA_RESOURCE_DIRS="src/main/resources"
-
-JAVA_TEST_GENTOO_CLASSPATH="junit-4"
-JAVA_TEST_SRC_DIR="src/test/java"
-JAVA_TEST_RESOURCE_DIRS="src/test/resources"
-
-JAVA_TEST_EXCLUDES=(
- # Upstream: Tests run: 864, Failures: 0, Errors: 0, Skipped: 0
- # "No tests found in ..."
- wstxtest.vstream.BaseValidationTest
- wstxtest.BaseWstxTest
- stax2.vstream.BaseStax2ValidationTest
- stax2.BaseStax2Test
- stax2.wstream.BaseWriterTest
- org.codehaus.stax.test.BaseStaxTest
- org.codehaus.stax.test.wstream.BaseWriterTest
- org.codehaus.stax.test.stream.BaseStreamTest
- # "... has no public constructor"
- wstxtest.stream.BaseStreamTest
- wstxtest.wstream.BaseWriterTest
- stax2.vwstream.BaseOutputTest
- org.codehaus.stax.test.vstream.BaseVStreamTest
- org.codehaus.stax.test.evt.BaseEventTest
- # Upstream does not run these:
- failing.TestBasicSax
- failing.TestExtLocationInfo91
- failing.TestRelaxNG
- failing.TestW3CDefaultValues
- failing.TestW3CDefaultValues
- failing.TestW3CSchemaComplexTypes
- failing.TestW3CSchemaTypes
- failing.TestW3CSchemaTypes
-)
-
-src_prepare() {
- default
-
- #rc/moditect/module-info.java:32: error: package com.ctc.wstx.shaded.msv.relaxng_datatype does not exist
- # provides com.ctc.wstx.shaded.msv.relaxng_datatype.DatatypeLibraryFactory with com.ctc.wstx.shaded.msv_core.datatype.xsd.ngimpl.DataTypeLibraryImpl;
- # ^
- #src/moditect/module-info.java:32: error: package com.ctc.wstx.shaded.msv_core.datatype.xsd.ngimpl does not exist
- # provides com.ctc.wstx.shaded.msv.relaxng_datatype.DatatypeLibraryFactory with com.ctc.wstx.shaded.msv_core.datatype.xsd.ngimpl.DataTypeLibraryImpl
- sed -e '/com.ctc.wstx.shaded.msv/d' \
- -e '/org.codehaus.stax2.validation/d' \
- -i "src/moditect/module-info.java" || die
-}
-
-src_install() {
- default # https://bugs.gentoo.org/789582
- java-pkg-simple_src_install
-}